
package eu.dnetlib.dhp.oa.graph.dump.skgif.beans;

import java.io.Serializable;

import eu.dnetlib.dhp.schema.oaf.Journal;

/**
 * @author miriam.baglioni
 * @Date 15/02/24
 */
public class EmitPerManifestation implements Serializable {
	private String resultId;
	private String hostedBy;
	private String hostedbyvalue;
	private Journal journal;
	// private Instance instance;
	private String publisher;
	private String product_local_type; // instance.getinstancetype.getclassname
	private String product_local_type_schema; // getInstance().getInstancetype().getSchemename()
	private String publishing_date;
	private String peer_reviewed;

	private String access_right;

	private String licence;

	private String url;

	private String pid;

	public String getProduct_local_type() {
		return product_local_type;
	}

	public void setProduct_local_type(String product_local_type) {
		this.product_local_type = product_local_type;
	}

	public String getProduct_local_type_schema() {
		return product_local_type_schema;
	}

	public void setProduct_local_type_schema(String product_local_type_schema) {
		this.product_local_type_schema = product_local_type_schema;
	}

	public String getPublishing_date() {
		return publishing_date;
	}

	public void setPublishing_date(String publishing_date) {
		this.publishing_date = publishing_date;
	}

	public String getPeer_reviewed() {
		return peer_reviewed;
	}

	public void setPeer_reviewed(String peer_reviewed) {
		this.peer_reviewed = peer_reviewed;
	}

	public String getAccess_right() {
		return access_right;
	}

	public void setAccess_right(String access_right) {
		this.access_right = access_right;
	}

	public String getLicence() {
		return licence;
	}

	public void setLicence(String licence) {
		this.licence = licence;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getHostedbyvalue() {
		return hostedbyvalue;
	}

	public void setHostedbyvalue(String hostedbyvalue) {
		this.hostedbyvalue = hostedbyvalue;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getResultId() {
		return resultId;
	}

	public void setResultId(String resultId) {
		this.resultId = resultId;
	}

	public String getHostedBy() {
		return hostedBy;
	}

	public void setHostedBy(String hostedBy) {
		this.hostedBy = hostedBy;
	}

	public Journal getJournal() {
		return journal;
	}

	public void setJournal(Journal journal) {
		this.journal = journal;
	}

}
